# Uses of Interface
org.eclipse.swt.events.ControlListener

Packages that use ControlListener
Package
Description
org.eclipse.nebula.widgets.grid
org.eclipse.swt.events
org.eclipse.swt.widgets

## Uses of ControlListener in org.eclipse.nebula.widgets.grid

Methods in org.eclipse.nebula.widgets.grid with parameters of type ControlListener
Modifier and Type
Method
Description
`void`
GridColumn.`addControlListener(ControlListener listener)`
Adds a listener to the list of listeners notified when the column is moved or resized.
`void`
GridColumn.`removeControlListener(ControlListener listener)`
Removes the given control listener.

## Uses of ControlListener in org.eclipse.swt.events

Methods in org.eclipse.swt.events that return ControlListener
Modifier and Type
Method
Description
`static ControlListener`
ControlListener.`controlMovedAdapter(Consumer<ControlEvent> c)`
Static helper method to create a `ControlListener` for the `ControlListener.controlMoved(ControlEvent e)`) method, given a lambda expression or a method reference.
`static ControlListener`
ControlListener.`controlResizedAdapter(Consumer<ControlEvent> c)`
Static helper method to create a `ControlListener` for the `ControlListener.controlResized(ControlEvent e)`) method, given a lambda expression or a method reference.

## Uses of ControlListener in org.eclipse.swt.widgets

Methods in org.eclipse.swt.widgets with parameters of type ControlListener
Modifier and Type
Method
Description
`void`
Control.`addControlListener(ControlListener listener)`
Adds the listener to the collection of listeners who will be notified when the control is moved or resized, by sending it one of the messages defined in the `ControlListener` interface.
`void`
TableColumn.`addControlListener(ControlListener listener)`
Adds the listener to the collection of listeners who will be notified when the control is moved or resized, by sending it one of the messages defined in the `ControlListener` interface.
`void`
TreeColumn.`addControlListener(ControlListener listener)`
Adds the listener to the collection of listeners who will be notified when the control is moved or resized, by sending it one of the messages defined in the `ControlListener` interface.
`void`
Control.`removeControlListener(ControlListener listener)`
Removes the listener from the collection of listeners who will be notified when the control is moved or resized.
`void`
TableColumn.`removeControlListener(ControlListener listener)`
Removes the listener from the collection of listeners who will be notified when the control is moved or resized.
`void`
TreeColumn.`removeControlListener(ControlListener listener)`
Removes the listener from the collection of listeners who will be notified when the control is moved or resized.